package com.qianhe.system.service;

import com.qianhe.system.domain.WaterOrder;
import com.qianhe.system.vo.WaterOrderVo;

import java.util.List;

/**
 * 订单Service接口
 *
 * @author qianhe
 * @date 2023-11-23
 */
public interface IWaterOrderService
{
    /**
     * 查询订单
     *
     * @param id 订单主键
     * @return 订单
     */
    public WaterOrderVo selectWaterOrderById(Long id);

    /**
     * 查询订单列表
     *
     * @param waterOrderVo 订单
     * @return 订单集合
     */
    public List<WaterOrder> selectWaterOrderList(WaterOrderVo waterOrderVo);

    /**
     * 新增订单
     *
     * @param waterOrderVo 订单
     * @return 结果
     */
    public int insertWaterOrder(WaterOrderVo waterOrderVo);

    /**
     * 修改订单
     *
     * @param waterOrderVo 订单
     * @return 结果
     */
    public int updateWaterOrder(WaterOrderVo waterOrderVo);

    /**
     * 批量删除订单
     *
     * @param ids 需要删除的订单主键集合
     * @return 结果
     */
    public int deleteWaterOrderByIds(Long[] ids);

    /**
     * 删除订单信息
     *
     * @param id 订单主键
     * @return 结果
     */
    public int deleteWaterOrderById(Long id);

    /**
     * 修改订单状态
     * @param waterOrderVo
     * @return
     */
    int updateOrderState(WaterOrderVo waterOrderVo);
}
